ruby:
  is_home = current_page.path == "js/index.html"
  guides = sitemap.resources.select { |r| r.path.start_with? "js/guides/" }.sort_by { |r| r.data[:order] }
  title = current_page.data.title || "Danger JS"
  url = "http://danger.systems/#{current_page.path}"

html
  head
    meta charset="utf-8"

    <!-- Always force latest IE rendering engine or request Chrome Frame -->
    meta content="IE=edge,chrome=1" http-equiv="X-UA-Compatible"
    meta name="HandheldFriendly" content="True"
    meta name="MobileOptimized" content="480"
    meta name="viewport" content="width=480, initial-scale=0.6"

    meta name="keywords" content="constant integration culture code"

    meta name="author" content="Orta Therox"
    meta name="twitter:card" content="summary"
    meta name="twitter:creator" content="@orta"
    meta name="twitter:title" content=title.gsub('"', "'")
    meta name="twitter:description" content="Apply cultural rules during your CI process."
    meta name="twitter:url" content=url
    meta property="og:image" content="/images/square.png"
    meta property="og:url" content=url
    title == title

    == stylesheet_link_tag "style-js", "highlight-js"

  body class=page_classes

    - unless is_home
      header.title
        nav
          ul
            li
              a href ="/js/"
                = image_tag "/images/js/danger-logo-small@2x.png", class: "retina", alt: "Danger JS title image"

            li style="flex: 3;padding-top: 2px;"
              code style="display: block;"
                | 
                  <a href="/js/guides.html">Guides</a>, 
                  <a href="/js/usage.html">Usage</a>, 
                  <a href="/js/tutorials.html">Tutorials</a>, 
                  <a href="/js/reference.html">Reference</a> & 
                  <a href="/js/editor.html">Editor</a><br/>
                  a project from <a target="_blank" href="http://orta.io">orta therox</a>, and <a target="_blank" href="https://github.com/orgs/danger/people">the Danger org contributors</a>.

    == yield

    footer
      article
        h3 Danger
        ul
          li
            a href="https://github.com/danger/danger-js" 
              img.lang-logo src="/images/js_logo.svg"
              | danger/danger-js
          li
            a href="https://github.com/danger/danger" 
              img.lang-logo src="/images/rubygems_logo.svg"
              | danger/danger
          li
            a href="https://github.com/danger/peril" danger/peril
          li
            a href="/js/js-vs-ruby.html" JS vs Ruby
          li
            a href="https://spectrum.chat/danger" Support via Spectrum

        h3 Twitter
        ul
          li
            a target="_blank" href="https://twitter.com/DangerSystems" @DangerSystems
          li
            a target="_blank" href="https://twitter.com/orta" @orta

      article
        h3 Guides
        ul
          - for resource in guides
            li
              a href=resource.url == resource.data["title"]

      article
        h3 Misc
        ul
          li
            a href="/js/reference.html" DSL Reference
          li
            a href="/js/changelog.html" CHANGELOG
          li
            a href="https://github.com/danger/design" Media Kit
          li
            a href="https://github.com/danger/danger-js#license-contributors-guidelines-and-code-of-conduct" COC / Moya CC
          li
            a href="https://github.com/danger/danger-js#this-thing-is-broken-i-should-help-improve-it" Help Out Building Danger
          li
            a href="/js/about.html" About this Site

    article
      center
        a href="/images/dm-opinions2.png"
          img src="/images/dm-opinions2.png" height=244  width=203

javascript:
  (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
  (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
  m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
  })(window,document,'script','https://www.google-analytics.com/analytics.js','ga');

  ga('create', 'UA-81285417-2', 'auto');
  ga('send', 'pageview');
  ga('send', 'danger-js');  

